---
orphan: true
---

# Query the system agent GitHub project

Query the GitHub projects available to the system agent.

```text
GET https://moi.matrixorigin.cn/newmoi/workspaces/{workspace_id}/system-agent-setups/{agent_id}/github-projects
```

## Before you call

The example below uses `$AI_STUDIO_API_KEY`, `$WORKSPACE_ID`, `$AGENT_ID`, and `$CHANNEL_INSTANCE_ID` (GitHub channel instance IDs).

## Request example

```bash
curl "https://moi.matrixorigin.cn/newmoi/workspaces/$WORKSPACE_ID/system-agent-setups/$AGENT_ID/github-projects?channel_instance_id=$CHANNEL_INSTANCE_ID" -H "X-API-Key: $AI_STUDIO_API_KEY" -H "X-Workspace-ID: $WORKSPACE_ID"
```

## Successful response

Returns `200` and a list of items on success.

```json
{"code":0,"data":{"items":[]}}
```

The response fields are as follows.

| Field | Type | Description |
| --- | --- | --- |
| `data.items` | array | Selectable GitHub projects. |

## Error response

```json
{"code":2,"message":"invalid channel instance"}
```
